diff test.bash @ 8:dbe18921f741

integration work on url scanner
author carl
date Thu, 22 Apr 2004 11:25:45 -0700
parents 793ac9cc114d
children 8c65411cd7ab
line wrap: on
line diff
--- a/test.bash	Thu Apr 22 08:38:07 2004 -0700
+++ b/test.bash	Thu Apr 22 11:25:45 2004 -0700
@@ -1,7 +1,16 @@
 #!/bin/bash
 
 g++ -c dnsbl.cpp
+if [ $? -ne 0 ]; then
+    echo "compiler errors"
+    exit
+fi
 g++ -o dnsbl dnsbl.o /usr/lib/libresolv.a -lmilter -pthread
+if [ $? -ne 0 ]; then
+    echo "linker errors"
+    exit
+fi
+
 if [ "$1" == "comp" ]; then
     exit
 fi
@@ -16,17 +25,20 @@
 chmod 700 /var/run/dnsbl
 mv -f $pid $pid.save
 rm -f /var/run/dnsbl/dnsbl.sock
-cp /var/dnsbl/*conf .
-./dnsbl -c -p local:/var/run/dnsbl/dnsbl.sock >check.txt 2>&1
-#sleep 5
-#P2=`cat $pid`
-#mv -f $pid.save $pid
-#echo started dnsbl milter as process $P2
-#
-#/usr/lib/sendmail -bd -Ctest.cf -Ldnsbl
-#sleep 5
-#P3=`head -1 /var/run/sm-test.pid`
-#echo started sendmail as process $P3
-#
-#echo eventually "'"kill -KILL $P2 $P3"'"
+dir=`pwd`
+pushd /var/dnsbl
+echo "$dir/dnsbl -p local:/var/run/dnsbl/dnsbl.sock"
+$dir/dnsbl -p local:/var/run/dnsbl/dnsbl.sock
+popd
+sleep 5
+P2=`cat $pid`
+mv -f $pid.save $pid
+echo started dnsbl milter as process $P2
 
+/usr/lib/sendmail -bd -Ctest.cf -Ldnsbl
+sleep 5
+P3=`head -1 /var/run/sm-test.pid`
+echo started sendmail as process $P3
+
+echo eventually "'"kill -KILL $P2 $P3"'"
+